Name:       	csl
Version:    	0.8
Release:    	%mkrel 1
Summary:    	Cube Server Lister
Summary(sr):	Претраживач сервера за Cube базиране игре
License:    	GPLv2
Group:      	Games/Other
URL:        	http://cubelister.sourceforge.net
Source0:    	%{name}-%{version}.tar.bz2
BuildRequires:	wxGTK2.8-devel
Requires: 	wxGTK2.8
BuildRoot: 	%{_tmppath}/%{name}-%{version}
Packager:	Slax <root@pclinux.in.rs>

%description
Cube Server Lister is an application to monitor Cubeengine based game servers, 
like Cube, AssaultCube, Sauerbraten and Blood Frontier. The goal of this project 
is to provide a fast and useful cross-platform server monitor. Currently it 
provides the basic functionality like update from masterserver, listing servers, 
and join servers directly. Furthermore it supports some useful features like 
chat / server filtering, playtime statistics and map previews.

%description -l sr
ЦСЛ је ретраживач сервера за Cube базиране игре, као што су 
Cube, AssaultCube, Sauerbraten и Blood Frontier. Циљ овог пројекта је да пружи
брз преглед постојећих сервера за играње. Тренутно омогућује основне функције као
што је освежавање са главних сервера, листинг сервера, и директно прикључење на сервере.
Надаље ће програм подржавати неке корисне функције попут филтрирања чета и сервера,
статистике играња и преглед мапа.

%prep
%setup -q -n %name-%version

%build
./configure
%make

%install
rm -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_liconsdir}
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_miconsdir}
convert -resize 48x48 data/csl.png %{buildroot}%{_liconsdir}/%{name}.png
convert -resize 32x32 data/csl.png %{buildroot}%{_iconsdir}/%{name}.png
convert -resize 16x16 data/csl.png %{buildroot}%{_miconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Cube Server Lister
Comment=Server monitor / lister for Cube engine based games
Exec=csl
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%update_menus
%postun
%update_menus

%files -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/csl/*
%{_datadir}/pixmaps/csl.png
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop 
%{_iconsdir}/*


%changelog
* Wed Mar 24 2010 slax <root@pclinux.in.rs> 0.8-1pclos2010
- initial pclos pkg
